<?php
use wcf\data\uzbot\top\UzbotTopAction;
use wcf\system\WCF;

/**
 * Initializes blog top data for Bot 
 * 
 * @author		Udo Zaydowicz
 * @copyright	2014-2022 Zaydowicz.de
 * @license		Zaydowicz Commercial License <https://zaydowicz.de>
 * @package		com.uz.wcf.bot3.blog
 */

// posts
$topBloggerID = null;
$sql = "SELECT		userID, blogEntries
		FROM		wcf".WCF_N."_user
		ORDER BY 	blogEntries DESC";
$statement = WCF::getDB()->prepareStatement($sql, 1);
$statement->execute();
$row = $statement->fetchArray();
if (!empty($row)) $topBloggerID = $row['userID'];

$action = new UzbotTopAction([1], 'update', [
		'data' => [
				'blogEntry' => $topBloggerID
		]
]);
$action->executeAction();
